For the complete documentation index, see llms.txt. This page is also available as Markdown.

Common list api

Banner list

get

Get list of banner

Query parameters
limitintegerRequired
offsetintegerOptional
countintegerOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got banner list
get/list/banner-list
GET /list/banner-list?limit=1 HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got banner list"
}

Category list

get

Get list of category

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
sortOrderintegerOptional
countintegerOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get All category List " or " Successfully got the list of categories.
get/list/category-list
GET /list/category-list?limit=1 HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get All category List \" or \" Successfully got the list of categories."
}

Customer product list

get

Get list of customer product

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
categoryslugstringOptional
priceTostringOptional
priceFromstringOptional
pricestringOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the complete list of products.
get/list/custom-product-list
GET /list/custom-product-list?limit=1 HTTP/1.1
Authorization: text
Accept: */*
{
  "status": 1,
  "message": "Successfully got the complete list of products."
}

Country list

get

Get list of country

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringRequired
countintegerOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the list of countries.
get/list/country-list
GET /list/country-list?limit=1&keyword=text HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got the list of countries."
}

Contact us

post

Contact us

Body
namestringRequired
emailstringRequired
phoneNumberstringRequired
messagestringRequired
Responses
200

success response

application/json
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Your request Successfully send
post/list/contact-us
POST /list/contact-us HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 68

"name='text'&email='text'&phoneNumber='text'&message='text'"
{
  "status": 1,
  "message": "Your request Successfully send"
}

Zone list

get

Get list of zone

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringRequired
countryIdstringOptional
countintegerOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get all zone List
get/list/zone-list
GET /list/zone-list?limit=1&keyword=text HTTP/1.1
Accept: */*
{
  "status": 1,
  "message": "Successfully get all zone List"
}

Language list

get

Get list of language

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringRequired
countintegerOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: successfully got the complete language list.
get/list/language-list
GET /list/language-list?limit=1&keyword=text HTTP/1.1
Accept: */*
{
  "status": 1,
  "message": "successfully got the complete language list."
}

Specific category list

get

Get list of specific category

Query parameters
categorySlugstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get the related category List
get/list/specific-category-list
GET /list/specific-category-list?categorySlug=text HTTP/1.1
Accept: */*
{
  "status": 1,
  "message": "Successfully get the related category List"
}

Get payment setting

get

Get list of paymment setting

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringRequired
countintegerOptional
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got payment List.
get/list/get-payment-setting
GET /list/get-payment-setting?limit=1&keyword=text HTTP/1.1
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully got payment List."
}

Product count

get

Get list of product coun

Query parameters
limitintegerRequired
offsetintegerOptional
keywordstringOptional
categoryslugstringOptional
priceTostringOptional
priceFromstringOptional
pricestringOptional
countintegerOptional
Header parameters
AuthorizationstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully get Product Count
get/list/product-count
GET /list/product-count?limit=1 HTTP/1.1
Authorization: text
Accept: */*
200

success response

{
  "status": 1,
  "message": "Successfully get Product Count"
}

Order log list

get

Get list of order log

Query parameters
orderPrefixIdstringRequired
Responses
200

success response

*/*
statusintegerOptionalDefault: 1
messagestringOptionalDefault: Successfully got the complete order Log list.
get/list/orderLoglist
GET /list/orderLoglist?orderPrefixId=text HTTP/1.1
Accept: */*
{
  "status": 1,
  "message": "Successfully got the complete order Log list."
}

Last updated